= form_for [committee, meeting, registration] do |f|
  - if registration.errors.any?
    .container-fluid
      .col-md-8.offset-md-2
        .card.card-outline-danger#error-explanation
          .card-block
            %h4
              = t('errors', count: registration.errors.count)
              = t('error_message', count: registration.errors.count)
            %ul.list-group
              - registration.errors.full_messages.each do |msg|
                %li.list-group-item= msg
  .ls20
  - if params[:type] == 'no_trial'
    = f.label :case
    .form-control= t(:blank_trial)
    %small.form-text.text-muted.text-justify
      = t('new_registration_form_text.no_case')
      = link_to t('new_registration_form_text.here'),
      [:new, committee, meeting, :registration]
    = f.hidden_field :case_option, value: 'no_trial'
    .ls20
  - else
    - if action_name == 'new' || (action_name == 'create' && !no_trial?)
      .field.form-group#case-form-group
        = f.label :case
        = f.select :case_id, cases.collect { |cse| [cse.title, cse.id] },
        {}, class: 'custom-select form-control'
        - if action_name == 'new'
          %small.form-text.text-muted.text-justify
            = t('new_registration_form_text.case1')
            = link_to t('new_registration_form_text.refresh'),
            get_permitted_keywords_path, 'data-toggle': 'tooltip',
            'data-placement': 'bottom', title: t(:exising_trial_tooltip)
            = t('new_registration_form_text.case2')
            = link_to t('new_registration_form_text.add'),
            zaki_new_trial_url, 'data-toggle': 'tooltip',
            'data-placement': 'bottom', title: t(:new_trial_tooltip)
            %br
            = t('new_registration_form_text.case3')
            = link_to t('new_registration_form_text.here'),
            new_committee_meeting_registration_path(committee, meeting,
            type: 'no_trial'), 'data-toggle': 'tooltip',
            'data-placement': 'bottom', title: t(:no_trial_tooltip)
    - elsif registration.case.present?
      .field
        = f.label :case
        = f.hidden_field :case_id, value: registration.case.id
        .form-control= registration.case.title
        .ls20
    - if action_name == 'create' && no_trial?
      = f.hidden_field :case_option, value: 'no_trial'
  .field.form-group
    = f.label :title
    = f.text_field :title, class: 'form-control'
    %small.form-text.text-muted.text-justify
      = t('new_registration_form_text.title')
  .field.form-group
    = f.label :description
    = f.text_area :description, class: 'form-control'
    %small.form-text.text-muted.text-justify
      = t('new_registration_form_text.description')
  - if action_name == 'edit' || action_name == 'update'
    .field.form-group
      = f.label :priority_number
      = f.text_field :priority_number, class: 'form-control'
  .actions.d-inline-block.float-right
    - if action_name == 'create'
      = link_to t(:back), [:new, committee, meeting, :registration],
      class: 'btn btn-secondary'
    = f.submit t(:save), class: 'btn btn-success'

:javascript
  window.form_saver();
